#
#-------------------------------------------------------------------------------
# @(#) common-modules/Example/UserConfig.pm common-modules_r3.1.1.8:cset.001773:5:5 08/16/05 @(#)
#-------------------------------------------------------------------------------
#
# This perl module contains the configuration information for this parser.
# If you don't understand the format of this configuration file DON'T TOUCH IT.
#
# My Vendor Interface
#
# Copyright (c) 2005 Vallent Software Systems UK. All rights reserved.
#
package UserConfig;

# Company Name: 

@ISA = qw(Exporter);
@EXPORT = qw(postparser_config);

#use diagnostics;
use strict;
use Exporter ();

#-------------------------------------------------------------------------------


my @rules = (
#-------------------------------------------------------------------------------
# Modify/Add rules here
#-------------------------------------------------------------------------------
{
	'RULE_TYPE'                => 'PIF_2_OUTPUT',
	'RULE_DESC'                => 'Pif to Lif',
	'INPUT_FILE_DESCRIPTION'   => ['pmresult_.*-#-I.pif'],
	'PRODUCE_PIF'              => '0',
	'OUTPUT_FORMAT'            => "LIF_Writer",

},

{
	'RULE_TYPE'                => 'ACCUMULATE',
	'RULE_DESC'                => 'Aggregate MSC_Destination',
	'INPUT_FILE_DESCRIPTION'   => ['pmresult_83888109.*-#-I.pif'],
	'OUTPUT_BLOCK_NAME'        => 'MSC_DEST',
    'COUNTERS_TO_SORT_ON'      => ['MSC_Id'],
    'REDUNDANT_DATA_COUNTERS'  => ['C84153225', 'C84153226', 'C84153235', 'OFFICE_OFFICEDIR', 'DEST_DEST', 'LOCAL_ZONE_OF_CALLED_STATICAREAX', 'LOCAL_ZONE_OF_CALLER_STATICAREAX', 'OBJ_Id'],
	'PRODUCE_PIF'              => '0',
	'OUTPUT_FORMAT'            => "LIF_Writer",
	
},

{
	'RULE_TYPE'                => 'ACCUMULATE',
	'RULE_DESC'                => 'Aggregate Location Update',
	'INPUT_FILE_DESCRIPTION'   => ['pmresult_83888192.*-#-I.pif'],
	'OUTPUT_BLOCK_NAME'        => 'LOC_UP_AGGR',
	'COUNTERS_TO_SORT_ON'      => ['MSC_Id'],
	'REDUNDANT_DATA_COUNTERS'  => ['OBJ_Id', 'NUMBER_OF_ROAMING_PROHIBIT_UPDATE_LOCATION_FAILURE', 'NUMBER_OF_PROTOCOL_ERROR_UPDATE_LOCATION_FAILURE', 'NUMBER_OF_ILLEGAL_USER_UPDATE_LOCATION_FAILURE', 'C84152004', 'C84152005', 'NUMBER_OF_OTHER_CAUSE_UPDATE_LOCATION_FAILURE', 'NUMBER_OF_NETWORK_LAI_PROHIBIT_UPDATE_LOCATION_FAILURE', 'NUMBER_OF_ILLEGAL_EQUIPPMENT_UPDATE_LOCATION_FAILURE', 'NUMBER_OF_HLR_UNKNOW_USER_UPDATE_LOCATION_FAILURE', 'NUMBER_OF_UPDATE_LOCATION_FAILURE_DUE_TO_ARD', 'NUMBER_OF_PLMN_PROHIBIT_ACCESS_UPDATE_LOCATION_FAILURE', 'NUMBER_OF_NO_SUITABLE_CELLS_UPDATE_LOCATION_FAILURE', 'C84151991', 'C84151992', 'C84151993', 'C84151994', 'NUMBER_OF_LAI_PROHIBIT_UPDATE_LOCATION_FAILURE', 'SITE_GCI', 'NUMBER_OF_NETWORK_FAILURE_UPDATE_LOCATION_FAILURE'],
	'PRODUCE_PIF'              => '0',
	'OUTPUT_FORMAT'            => "LIF_Writer",

},

#-------------------------------------------------------------------------------
);  

#-------------------------------------------------------------------------------

sub postparser_config {
	return \@rules;
}

1;
